<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>

<xsl:stylesheet
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:svg="http://www.w3.org/2000/svg" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:my="codabar-data">
	
	<xsl:import href="http://127.0.0.1:9191/bgbilling/xsl/2of5i.xsl"/>
	
	<xsl:output encoding="windows-1251" method='xml' indent='yes' />
	
	<!--   -->
	<xsl:variable name="address_param_id" select="'19'"/>
	<xsl:variable name="fio_param_id" select="'4'"/>
	
	<!--   -->
	<xsl:variable name="mm" select="format-number(/data/bill/@mm, '00')"/>
	<xsl:variable name="yy" select="substring(/data/bill/@yy, 3, 2)"/>
		
	<xsl:variable name="cid" select="/data/bill/@cid"/>
	
	<xsl:variable name="month" select="/data/bill/@month"/>
	<xsl:variable name="date1" select="/data/bill/@period_date1"/>
	<xsl:variable name="date2" select="/data/bill/@period_date2"/>
	
	<xsl:variable name="account" select="/data/bill/@amounts"/>
	<xsl:variable name="saldo" select="/data/bill/@saldo_prev"/>
	<xsl:variable name="should_pay" select="format-number($account - $saldo,'0.00')"/>
	    
	<xsl:attribute-set name="text">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="text_bold">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-weight">bold</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>
	
	 <xsl:attribute-set name="text7">
	 	<xsl:attribute name="text-align">left</xsl:attribute>
	 	<xsl:attribute name="font-family">arial</xsl:attribute>
	 	<xsl:attribute name="font-size">7pt</xsl:attribute>
	 	<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
	 	<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	 </xsl:attribute-set>
	 
	 <xsl:attribute-set name="text7_bold">
	 	<xsl:attribute name="text-align">left</xsl:attribute>
	 	<xsl:attribute name="font-family">arial</xsl:attribute>
	 	<xsl:attribute name="font-weight">bold</xsl:attribute>
	 	<xsl:attribute name="font-size">7pt</xsl:attribute>
	 	<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
	 	<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	 </xsl:attribute-set>
	 
	  <xsl:attribute-set name="text6">
	 	<xsl:attribute name="text-align">left</xsl:attribute>
	 	<xsl:attribute name="font-family">arial</xsl:attribute>
	 	<xsl:attribute name="font-size">6pt</xsl:attribute>
	 	<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
	 	<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	 </xsl:attribute-set>	 
	 
	 <xsl:attribute-set name="text5">
	 	<xsl:attribute name="text-align">left</xsl:attribute>
	 	<xsl:attribute name="font-family">arial</xsl:attribute>
	 	<xsl:attribute name="font-size">5pt</xsl:attribute>
	 	<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
	 	<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	 </xsl:attribute-set>	 
	 
	 <xsl:attribute-set name="cell_border_right">
		<xsl:attribute name="border-width">0.05cm</xsl:attribute>
		<xsl:attribute name="border-right-style">solid</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="cell_border_canvas">
		<xsl:attribute name="border-width">0.05cm</xsl:attribute>
		<xsl:attribute name="border-style">solid</xsl:attribute>		
	</xsl:attribute-set>

	<xsl:attribute-set name="cell_border">
		<xsl:attribute name="border-width">0.7pt</xsl:attribute>
		<xsl:attribute name="border-top-style">solid</xsl:attribute>
		<xsl:attribute name="border-bottom-style">solid</xsl:attribute>
		<xsl:attribute name="border-left-style">solid</xsl:attribute>
		<xsl:attribute name="border-right-style">solid</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="cell_border_top">
		<xsl:attribute name="border-width">0.7pt</xsl:attribute>
		<xsl:attribute name="border-top-style">solid</xsl:attribute>
		<xsl:attribute name="border-left-style">solid</xsl:attribute>
		<xsl:attribute name="border-right-style">solid</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="cell_border_bottom">
		<xsl:attribute name="border-width">0.7pt</xsl:attribute>
		<xsl:attribute name="border-bottom-style">solid</xsl:attribute>
		<xsl:attribute name="border-left-style">solid</xsl:attribute>
		<xsl:attribute name="border-right-style">solid</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="table_text_center">
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="space-before">0.1cm</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="table_text_left">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="space-before">0.1cm</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="table_text_left_bold">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="space-before">0.1cm</xsl:attribute>
		<xsl:attribute name="font-weight">bold</xsl:attribute>
	</xsl:attribute-set>

	<xsl:template match="data">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:apply-templates select="bill" />
		</fo:root>
	</xsl:template>
	
	<xsl:template match="bill">
		<fo:layout-master-set>
			<fo:simple-page-master margin-right="0.5cm" margin-left="0.5cm"
				margin-bottom="0.5cm" margin-top="0.5cm" page-width="21cm"
				page-height="29.7cm" master-name="first">
				
				<fo:region-body margin-top="0cm" margin-bottom="0cm" />
				<fo:region-before extent="0cm" />
				<fo:region-after extent="0cm" />
			</fo:simple-page-master>
		</fo:layout-master-set>
	
		<fo:page-sequence master-reference="first">	
			<fo:flow flow-name="xsl-region-body">
				<!--  -->
				<fo:table table-layout="fixed">
				    <fo:table-column column-width="5cm"/>
				    <fo:table-column column-width="15.2cm"/>
			
					<fo:table-body>
						<fo:table-row>
						  	<fo:table-cell xsl:use-attribute-sets="cell_border_right">
								<fo:block xsl:use-attribute-sets="text7" space-before="1.5cm">    </fo:block>
						  	</fo:table-cell>
						  	<fo:table-cell xsl:use-attribute-sets="cell_border_right" padding-left="0.2cm">	
						  		<xsl:call-template name="main_data">
						  			<xsl:with-param name="with_barcode" select="1"/>
						  		</xsl:call-template>
					    	</fo:table-cell>
					    </fo:table-row>
				    </fo:table-body>
			   	</fo:table>
			   						    
				<xsl:call-template name="line"/>
				
				<!--   -->
				<fo:table table-layout="fixed">
				    <fo:table-column column-width="5cm"/>
				    <fo:table-column column-width="15.2cm"/>
				    
					<fo:table-body>
						<fo:table-row>
						  	<fo:table-cell xsl:use-attribute-sets="cell_border_right">
								<fo:block xsl:use-attribute-sets="text7" space-before="2.5cm">    </fo:block>
						  	</fo:table-cell>
						  	<fo:table-cell xsl:use-attribute-sets="cell_border_right" padding-left="0.2cm">	
						  		<xsl:call-template name="main_data">
						  			<xsl:with-param name="with_barcode" select="0"/>
						  		</xsl:call-template>
						  		<fo:block xsl:use-attribute-sets="text" space-before="0.3cm"/>
					    	</fo:table-cell>
					    </fo:table-row>
					</fo:table-body>
				</fo:table>
			</fo:flow>
		</fo:page-sequence>		
	</xsl:template>
	
	<!--   -->
	<xsl:template name="main_data">
		<xsl:param name="with_barcode"/>
		
		<fo:table table-layout="fixed">
		    <fo:table-column column-width="10cm"/>
		    <fo:table-column column-width="4.5cm"/>
		    	
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block xsl:use-attribute-sets="text">-     <xsl:value-of select="@month"/>&#160;<xsl:value-of select="@yy"/></fo:block>
						<fo:block xsl:use-attribute-sets="text"> <fo:inline xsl:use-attribute-sets="text_bold"> ""</fo:inline></fo:block>
						<xsl:if test="$with_barcode=1">
							<fo:block xsl:use-attribute-sets="text" space-before="0.7cm"> 
								<fo:instream-foreign-object content-width="100%" content-height="100%">
									<xsl:call-template name="barcode-2of5i">
										<xsl:with-param name="value">
											<xsl:call-template name="trimSymbols">
												<xsl:with-param name="str" select="@contract"/>
											</xsl:call-template>
										</xsl:with-param>
									</xsl:call-template>
								</fo:instream-foreign-object>
								<fo:instream-foreign-object content-width="100%" content-height="100%">
									<xsl:variable name="shouldpay_nodot">
										<xsl:call-template name="trimSymbols">
											<xsl:with-param name="str" select="string($should_pay)"/>
										</xsl:call-template>
									</xsl:variable>
									<xsl:variable name="result_summ">
										<xsl:choose>
											<xsl:when test="string-length($shouldpay_nodot) mod 2 > 0">
												<xsl:value-of select="concat('0',$shouldpay_nodot)"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="$shouldpay_nodot"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:variable>
									<xsl:call-template name="barcode-2of5i">
										<xsl:with-param name="value" select="concat($yy, $mm, $result_summ)"/>
									</xsl:call-template>
								</fo:instream-foreign-object>
							</fo:block>
						</xsl:if>
					</fo:table-cell>
					<fo:table-cell>
						<fo:external-graphic src="http://img.yandex.net/i/logo95x37x8.png" width="3.4cm" height="1.7cm"/>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>	
						  		
	     <fo:table table-layout="fixed" space-before="0.5cm">
		    <fo:table-column column-width="9cm"/>
		    <fo:table-column column-width="5.5cm"/>
		    	
		    <xsl:variable name="abonent" select="contract_params/parameter[@pid=$fio_param_id]/@value"/>	
		    <xsl:variable name="address" select="contract_params/parameter[@pid=$address_param_id]/@value"/>	
		    	
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="text"> :</fo:block></fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="text"><xsl:value-of select="@contract"/></fo:block></fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="text">:</fo:block></fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="text_bold"><xsl:value-of select="$abonent"/></fo:block></fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="text">:</fo:block></fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="text"><xsl:value-of select="$address"/></fo:block></fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
		
		<xsl:if test="$with_barcode=1">
			<fo:block xsl:use-attribute-sets="text_bold" text-align="center" space-before="0.2cm">   <xsl:value-of select="$should_pay"/> </fo:block>
		</xsl:if>
		<xsl:if test="$with_barcode=0">
			<fo:table table-layout="fixed" space-before="0.5cm">
			    <fo:table-column column-width="9cm"/>
			    <fo:table-column column-width="5.5cm"/>
			    	
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="text" text-align="center">:</fo:block></fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="text" text-align="center"><xsl:value-of select="$account"/></fo:block></fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="text" text-align="center">   :</fo:block></fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="text" text-align="center"><xsl:value-of select="$saldo"/></fo:block></fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="text" text-align="center">  :</fo:block></fo:table-cell>
						<fo:table-cell xsl:use-attribute-sets="cell_border"><fo:block xsl:use-attribute-sets="text" text-align="center"><xsl:value-of select="$should_pay"/></fo:block></fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
			
			<fo:block xsl:use-attribute-sets="text" space-before="0.5cm">   20   </fo:block>
			<fo:block xsl:use-attribute-sets="text7" space-before="0.2cm">        </fo:block>
			<fo:block xsl:use-attribute-sets="text" space-before="0.2cm">  : 123-45-67</fo:block>
		</xsl:if>		
	</xsl:template>
	
	<xsl:template name="trimSymbols">
		<xsl:param name="str"/>
		
		<xsl:variable name="trick" select="translate($str, '0123456789', '')"/>
		<xsl:variable name="only-digits" select="translate($str, $trick, '')"/>
		<xsl:value-of select="$only-digits"/>
	</xsl:template>
	
	<xsl:template name="line">
		<fo:table table-layout="fixed" width="100%" weight="0.7pt" space-before="0.2cm" space-after="0.2cm">
			<fo:table-column column-width="proportional-column-width(1)"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell border-bottom-style="solid" border-bottom-width="0.7pt">
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>	
	</xsl:template>
</xsl:stylesheet>
